.leaflet-image-layer,
.leaflet-layer,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-pane,
.leaflet-pane>canvas,
.leaflet-pane>svg,
.leaflet-tile,
.leaflet-tile-container,
.leaflet-zoom-box {
	position: absolute;
	left: 0;
	top: 0;
}

.leaflet-container {
	overflow: hidden;
}

.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-tile {
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	-webkit-user-drag: none;
}

.leaflet-tile::selection {
	background: transparent;
}

.leaflet-safari .leaflet-tile {
	image-rendering: -webkit-optimize-contrast;
}

.leaflet-safari .leaflet-tile-container {
	width: 1600px;
	height: 1600px;
	-webkit-transform-origin: 0 0;
}

.leaflet-marker-icon,
.leaflet-marker-shadow {
	display: block;
}

.leaflet-container .leaflet-overlay-pane svg {
	max-width: none !important;
	max-height: none !important;
}

.leaflet-container .leaflet-marker-pane img,
.leaflet-container .leaflet-shadow-pane img,
.leaflet-container .leaflet-tile,
.leaflet-container .leaflet-tile-pane img,
.leaflet-container img.leaflet-image-layer {
	max-width: none !important;
	max-height: none !important;
	width: auto;
	padding: 0;
}

.leaflet-container img.leaflet-tile {
	mix-blend-mode: plus-lighter;
}

.leaflet-container.leaflet-touch-zoom {
	-ms-touch-action: pan-x pan-y;
	touch-action: pan-x pan-y;
}

.leaflet-container.leaflet-touch-drag {
	-ms-touch-action: pinch-zoom;
	touch-action: none;
	touch-action: pinch-zoom;
}

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
	-ms-touch-action: none;
	touch-action: none;
}

.leaflet-container {
	-webkit-tap-highlight-color: transparent;
}

.leaflet-container a {
	-webkit-tap-highlight-color: rgba(51, 181, 229, 0.4);
}

.leaflet-tile {
	filter: inherit;
	visibility: hidden;
}

.leaflet-tile-loaded {
	visibility: inherit;
}

.leaflet-zoom-box {
	width: 0;
	height: 0;
	box-sizing: border-box;
	z-index: 10;
}

.leaflet-overlay-pane svg {
	-moz-user-select: none;
}

.leaflet-pane {
	z-index: 4;
}

.leaflet-tile-pane {
	z-index: 3;
}

.leaflet-overlay-pane {
	z-index: 4;
}

.leaflet-shadow-pane {
	z-index: 6;
}

.leaflet-marker-pane {
	z-index: 7;
}

.leaflet-tooltip-pane {
	z-index: 8;
}

.leaflet-popup-pane {
	z-index: 9;
}

.leaflet-map-pane canvas {
	z-index: 2;
}

.leaflet-map-pane svg {
	z-index: 3;
}

.leaflet-vml-shape {
	width: 1px;
	height: 1px;
}

.lvml {
	behavior: url(#default#VML);
	display: inline-block;
	position: absolute;
}

.leaflet-control {
	position: relative;
	z-index: 10;
	pointer-events: visiblePainted;
	pointer-events: auto;
}

.leaflet-bottom,
.leaflet-top {
	position: absolute;
	z-index: 11;
	pointer-events: none;
}

.leaflet-top {
	top: 0;
}

.leaflet-right {
	right: 0;
}

.leaflet-bottom {
	bottom: 0;
}

.leaflet-left {
	left: 0;
}

.leaflet-control {
	float: left;
	clear: both;
}

.leaflet-right .leaflet-control {
	float: right;
}

.leaflet-top .leaflet-control {
	margin-top: 10px;
}

.leaflet-bottom .leaflet-control {
	margin-bottom: 10px;
}

.leaflet-left .leaflet-control {
	margin-left: 10px;
}

.leaflet-right .leaflet-control {
	margin-right: 10px;
}

.leaflet-fade-anim .leaflet-popup {
	opacity: 0;
	transition: opacity 0.2s linear;
}

.leaflet-fade-anim .leaflet-map-pane .leaflet-popup {
	opacity: 1;
}

.leaflet-zoom-animated {
	transform-origin: 0 0;
}

svg.leaflet-zoom-animated {
	will-change: transform;
}

.leaflet-zoom-anim .leaflet-zoom-animated {
	transition: transform 0.25s cubic-bezier(0, 0, 0.25, 1);
}

.leaflet-pan-anim .leaflet-tile,
.leaflet-zoom-anim .leaflet-tile {
	transition: none;
}

.leaflet-zoom-anim .leaflet-zoom-hide {
	visibility: hidden;
}

.leaflet-interactive {
	cursor: pointer;
}

.leaflet-grab {
	cursor: grab;
}

.leaflet-crosshair,
.leaflet-crosshair .leaflet-interactive {
	cursor: crosshair;
}

.leaflet-control,
.leaflet-popup-pane {
	cursor: auto;
}

.leaflet-dragging .leaflet-grab,
.leaflet-dragging .leaflet-grab .leaflet-interactive,
.leaflet-dragging .leaflet-marker-draggable {
	cursor: move;
	cursor: grabbing;
}

.leaflet-image-layer,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-pane>svg path,
.leaflet-tile-container {
	pointer-events: none;
}

.leaflet-image-layer.leaflet-interactive,
.leaflet-marker-icon.leaflet-interactive,
.leaflet-pane>svg path.leaflet-interactive,
svg.leaflet-image-layer.leaflet-interactive path {
	pointer-events: visiblePainted;
	pointer-events: auto;
}

.leaflet-container {
	background: #ddd;
	outline-offset: 1px;
}

.leaflet-container a {
	color: #0078a8;
}

.leaflet-zoom-box {
	border: 2px dotted #38f;
	background: hsla(0, 0%, 100%, 0.5);
}

.leaflet-container {
	font-family: Helvetica Neue, Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-size: 0.75rem;
	line-height: 1.5;
}

.leaflet-bar {
	box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
	border-radius: 4px;
}

.leaflet-bar a {
	background-color: #fff;
	border-bottom: 1px solid #ccc;
	width: 26px;
	height: 26px;
	line-height: 26px;
	display: block;
	text-align: center;
	text-decoration: none;
	color: #000;
}

.leaflet-bar a,
.leaflet-control-layers-toggle {
	background-position: 50% 50%;
	background-repeat: no-repeat;
	display: block;
}

.leaflet-bar a:focus,
.leaflet-bar a:hover {
	background-color: #f4f4f4;
}

.leaflet-bar a:first-child {
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
}

.leaflet-bar a:last-child {
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
	border-bottom: none;
}

.leaflet-bar a.leaflet-disabled {
	cursor: default;
	background-color: #f4f4f4;
	color: #bbb;
}

.leaflet-touch .leaflet-bar a {
	width: 30px;
	height: 30px;
	line-height: 30px;
}

.leaflet-touch .leaflet-bar a:first-child {
	border-top-left-radius: 2px;
	border-top-right-radius: 2px;
}

.leaflet-touch .leaflet-bar a:last-child {
	border-bottom-left-radius: 2px;
	border-bottom-right-radius: 2px;
}

.leaflet-control-zoom-in,
.leaflet-control-zoom-out {
	font: 700 18px Lucida Console, Monaco, monospace;
	text-indent: 1px;
}

.leaflet-touch .leaflet-control-zoom-in,
.leaflet-touch .leaflet-control-zoom-out {
	font-size: 22px;
}

.leaflet-control-layers {
	box-shadow: 0 1px 5px rgba(0, 0, 0, 0.4);
	background: #fff;
	border-radius: 5px;
}

.leaflet-control-layers-toggle {
	background-image: url(images/layers.png);
	width: 36px;
	height: 36px;
}

.leaflet-retina .leaflet-control-layers-toggle {
	background-image: url(images/layers-2x.png);
	background-size: 26px 26px;
}

.leaflet-touch .leaflet-control-layers-toggle {
	width: 44px;
	height: 44px;
}

.leaflet-control-layers-expanded .leaflet-control-layers-toggle,
.leaflet-control-layers .leaflet-control-layers-list {
	display: none;
}

.leaflet-control-layers-expanded .leaflet-control-layers-list {
	display: block;
	position: relative;
}

.leaflet-control-layers-expanded {
	padding: 6px 10px 6px 6px;
	color: #333;
	background: #fff;
}

.leaflet-control-layers-scrollbar {
	overflow-y: scroll;
	overflow-x: hidden;
	padding-right: 5px;
}

.leaflet-control-layers-selector {
	margin-top: 2px;
	position: relative;
	top: 1px;
}

.leaflet-control-layers label {
	display: block;
	font-size: 13px;
	font-size: 1.08333em;
}

.leaflet-control-layers-separator {
	height: 0;
	border-top: 1px solid #ddd;
	margin: 5px -10px 5px -6px;
}

.leaflet-default-icon-path {
	background-image: url(images/marker-icon.png);
}

.leaflet-container .leaflet-control-attribution {
	background: #fff;
	background: hsla(0, 0%, 100%, 0.8);
	margin: 0;
}

.leaflet-control-attribution,
.leaflet-control-scale-line {
	padding: 0 5px;
	color: #333;
	line-height: 1.4;
}

.leaflet-control-attribution a {
	text-decoration: none;
}

.leaflet-control-attribution a:focus,
.leaflet-control-attribution a:hover {
	text-decoration: underline;
}

.leaflet-attribution-flag {
	display: inline !important;
	vertical-align: baseline !important;
	width: 1em;
	height: 0.6669em;
}

.leaflet-left .leaflet-control-scale {
	margin-left: 5px;
}

.leaflet-bottom .leaflet-control-scale {
	margin-bottom: 5px;
}

.leaflet-control-scale-line {
	border: 2px solid #777;
	border-top: none;
	line-height: 1.1;
	padding: 2px 5px 1px;
	white-space: nowrap;
	box-sizing: border-box;
	background: hsla(0, 0%, 100%, 0.8);
	text-shadow: 1px 1px #fff;
}

.leaflet-control-scale-line:not(:first-child) {
	border-top: 2px solid #777;
	border-bottom: none;
	margin-top: -2px;
}

.leaflet-control-scale-line:not(:first-child):not(:last-child) {
	border-bottom: 2px solid #777;
}

.leaflet-touch .leaflet-bar,
.leaflet-touch .leaflet-control-attribution,
.leaflet-touch .leaflet-control-layers {
	box-shadow: none;
}

.leaflet-touch .leaflet-bar,
.leaflet-touch .leaflet-control-layers {
	border: 2px solid rgba(0, 0, 0, 0.2);
	background-clip: padding-box;
}

.leaflet-popup {
	position: absolute;
	text-align: center;
	margin-bottom: 20px;
}

.leaflet-popup-content-wrapper {
	padding: 1px;
	text-align: left;
	border-radius: 12px;
}

.leaflet-popup-content {
	margin: 13px 24px 13px 20px;
	line-height: 1.3;
	font-size: 13px;
	font-size: 1.08333em;
	min-height: 1px;
}

.leaflet-popup-content p {
	margin: 17px 0;
	margin: 1.3em 0;
}

.leaflet-popup-tip-container {
	width: 40px;
	height: 20px;
	position: absolute;
	left: 50%;
	margin-top: -1px;
	margin-left: -20px;
	overflow: hidden;
	pointer-events: none;
}

.leaflet-popup-tip {
	width: 17px;
	height: 17px;
	padding: 1px;
	margin: -10px auto 0;
	pointer-events: auto;
	transform: rotate(45deg);
}

.leaflet-popup-content-wrapper,
.leaflet-popup-tip {
	background: #fff;
	color: #333;
	box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4);
}

.leaflet-container a.leaflet-popup-close-button {
	position: absolute;
	top: 0;
	right: 0;
	border: none;
	text-align: center;
	width: 24px;
	height: 24px;
	font: 16px/24px Tahoma, Verdana, sans-serif;
	color: #757575;
	text-decoration: none;
	background: transparent;
}

.leaflet-container a.leaflet-popup-close-button:focus,
.leaflet-container a.leaflet-popup-close-button:hover {
	color: #585858;
}

.leaflet-popup-scrolled {
	overflow: auto;
}

.leaflet-oldie .leaflet-popup-content-wrapper {
	-ms-zoom: 1;
}

.leaflet-oldie .leaflet-popup-tip {
	width: 24px;
	margin: 0 auto;
	-ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678)";
	filter: progid:DXImageTransform.Microsoft.Matrix(M11=0.70710678, M12=0.70710678, M21=-0.70710678, M22=0.70710678);
}

.leaflet-oldie .leaflet-control-layers,
.leaflet-oldie .leaflet-control-zoom,
.leaflet-oldie .leaflet-popup-content-wrapper,
.leaflet-oldie .leaflet-popup-tip {
	border: 1px solid #999;
}

.leaflet-div-icon {
	background: #fff;
	border: 1px solid #666;
}

.leaflet-tooltip {
	position: absolute;
	padding: 6px;
	background-color: #fff;
	border: 1px solid #fff;
	border-radius: 3px;
	color: #222;
	white-space: nowrap;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
	box-shadow: 0 1px 3px rgba(0, 0, 0, 0.4);
}

.leaflet-tooltip.leaflet-interactive {
	cursor: pointer;
	pointer-events: auto;
}

.leaflet-tooltip-bottom:before,
.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before,
.leaflet-tooltip-top:before {
	position: absolute;
	pointer-events: none;
	border: 6px solid transparent;
	background: transparent;
	content: "";
}

.leaflet-tooltip-bottom {
	margin-top: 6px;
}

.leaflet-tooltip-top {
	margin-top: -6px;
}

.leaflet-tooltip-bottom:before,
.leaflet-tooltip-top:before {
	left: 50%;
	margin-left: -6px;
}

.leaflet-tooltip-top:before {
	bottom: 0;
	margin-bottom: -12px;
	border-top-color: #fff;
}

.leaflet-tooltip-bottom:before {
	top: 0;
	margin-top: -12px;
	margin-left: -6px;
	border-bottom-color: #fff;
}

.leaflet-tooltip-left {
	margin-left: -6px;
}

.leaflet-tooltip-right {
	margin-left: 6px;
}

.leaflet-tooltip-left:before,
.leaflet-tooltip-right:before {
	top: 50%;
	margin-top: -6px;
}

.leaflet-tooltip-left:before {
	right: 0;
	margin-right: -12px;
	border-left-color: #fff;
}

.leaflet-tooltip-right:before {
	left: 0;
	margin-left: -12px;
	border-right-color: #fff;
}

@media print {
	.leaflet-control {
		-webkit-print-color-adjust: exact;
		print-color-adjust: exact;
	}
}

@keyframes a {
	0% {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

.leaflet-container:after {
	animation: a 0.8s backwards;
	color: #fff;
	font-family: Roboto, Arial, sans-serif;
	font-size: 22px;
	-ms-flex-pack: center;
	justify-content: center;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	align-items: center;
	padding: 15px;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0.5);
	z-index: 5;
	pointer-events: none;
}

.leaflet-gesture-handling-scroll-warning:after,
.leaflet-gesture-handling-touch-warning:after {
	animation: a 0.8s forwards;
}

.leaflet-gesture-handling-touch-warning:after {
	content: attr(data-gesture-handling-touch-content);
}

.leaflet-gesture-handling-scroll-warning:after {
	content: attr(data-gesture-handling-scroll-content);
}

* {
	box-sizing: border-box;
}

body,
html {
	margin: 0;
	width: 100%;
	min-height: 500px;
}

sps-school-locator,
sps-schools {
	--primary-default: #20a286;
	--primary: var(--primary-default);
	display: flex;
	flex-direction: column;
	align-items: center;
}

sps-school-locator .search-row {
	align-items: center;
	margin: 0.5rem 0.5rem 0;
}

sps-school-locator .autocomplete {
	position: relative;
	z-index: 6;
	display: inline-block;
}

sps-school-locator .autocomplete input {
	border: 1px solid var(--primary, --primary-default);
	border-radius: 8px;
	background-color: var(--primary-contrast, #fff);
	padding: 10px 36px;
	font-size: 14px;
	width: 100%;
}

sps-school-locator .autocomplete input:focus-visible {
	outline: none;
}

sps-school-locator .autocomplete .clear-input,
sps-school-locator .autocomplete .magnifying {
	position: absolute;
	top: 0.5rem;
	bottom: 0.5rem;
	padding: 0 10px;
	align-items: center;
}

sps-school-locator .autocomplete .magnifying {
	left: 0;
	display: flex;
}

sps-school-locator .autocomplete .clear-input {
	right: 0;
	cursor: pointer;
	display: none;
}

sps-school-locator .year-adv {
	display: flex;
	gap: 1rem;
	align-items: center;
	justify-content: space-between;
	margin-top: 0.5rem;
}

sps-school-locator .year-adv .school-years {
	color: var(--primary, --primary-default);
	align-items: center;
}

sps-school-locator .year-adv .school-years:empty {
	padding: 0;
}

sps-school-locator .year-adv .school-years .years-label {
	text-wrap: nowrap;
	vertical-align: top;
	margin-right: 5px;
}

sps-school-locator .year-adv .school-years .year-options {
	display: inline-flex;
	text-wrap: nowrap;
}

sps-school-locator .year-adv .school-years .school-year {
	font-weight: bolder;
	display: inline-flex;
	margin: 0;
}

sps-school-locator .year-adv .school-years .school-year+.school-year {
	margin-left: 0.5rem;
}

sps-school-locator .year-adv .school-years input[type="radio"] {
	margin: 0 0.5rem 0 0;
}

sps-school-locator .year-adv .school-years label {
	margin: 0 0.5rem;
}

@media (max-width: 500px) {
	sps-school-locator .year-adv .school-years .year-options {
		display: flex;
	}
}

sps-school-locator .year-adv select {
	padding: 2px 4px 2px 0;
	vertical-align: middle;
	margin-right: 0.5rem;
}

sps-school-locator .autocomplete,
sps-school-locator .map,
sps-school-locator .result,
sps-school-locator .school-filters,
sps-school-locator .search,
sps-schools .all-schools {
	max-width: 800px;
	width: 100%;
}

sps-school-locator .result {
	display: flex;
	flex-direction: column;
	margin: 4px 0;
	position: relative;
	z-indeX: 1;
}

sps-school-locator .result .result-title {
	text-align: center;
	padding-bottom: 0.5rem;
	color: var(--primary, --primary-default);
}

sps-school-locator .result a.all-programs {
	display: block;
}

sps-school-locator .result .school-address {
	color: #666;
}

sps-school-locator .result .placeholder,
sps-school-locator .result .placeholder * {
	animation: b 1s ease-in-out infinite alternate;
	display: inline-block;
	min-height: 1em;
	vertical-align: middle;
	cursor: wait;
	background-color: currentcolor;
}

sps-school-locator .result .placeholder.large,
sps-school-locator .result .placeholder .large {
	min-height: 1.7em;
	margin-top: 0.5em;
}

sps-school-locator .result .placeholder.wide-80,
sps-school-locator .result .placeholder .wide-80 {
	width: 80%;
}

sps-school-locator .result .placeholder.wide-60,
sps-school-locator .result .placeholder .wide-60 {
	width: 60%;
}

sps-school-locator .result .placeholder.wide-50,
sps-school-locator .result .placeholder .wide-50 {
	width: 50%;
}

@keyframes b {
	0% {
		opacity: 0.2;
	}

	to {
		opacity: 0.4;
	}
}

sps-school-locator .result.loading {
	background-color: #f2f2f2;
}

sps-school-locator .schools {
	display: none;
	position: relative;
	margin-bottom: 8px;
}

sps-school-locator .schools .multi-select {
	width: 100%;
}

sps-school-locator .schools .program-selector {
	margin-top: 2px;
}

sps-school-locator .schools .adv-button {
	justify-content: center;
	background-color: var(--primary, --primary-default);
	color: #fff;
}

sps-school-locator .schools .adv-button .adv-icon svg {
	stroke: #fff;
}

sps-school-locator .schools .adv-button:hover {
	background-color: var(--primary, --primary-default);
}

sps-school-locator .schools .hidden {
	display: none;
}

sps-school-locator .map {
	height: 500px;
}

sps-school-locator .map .leaflet-tooltip-top {
	margin-top: -15px;
	padding: 3px 5px 2px;
}

sps-school-locator .map.small-markers .leaflet-marker-icon {
	margin-left: -7.2px !important;
	margin-top: -24.6px !important;
	width: 15px !important;
	height: 24.6px !important;
}

sps-school-locator .map.small-markers .leaflet-tooltip-top {
	margin-top: 3px;
}

sps-school-locator .map.has-search-result .legend .legend-marker-layers {
	display: block;
}

sps-school-locator .map.loading,
sps-school-locator .map.muted {
	opacity: 0.5;
}

sps-school-locator .autocomplete-items {
	position: absolute;
	border: 1px solid #d4d4d4;
	border-bottom: none;
	border-top: none;
	z-index: 1;
	top: 100%;
	left: 0.5rem;
	right: 0.5rem;
}

sps-school-locator .autocomplete-items div {
	padding: 10px;
	cursor: pointer;
	background-color: var(--primary-contrast, #fff);
	border-bottom: 1px solid #d4d4d4;
}

sps-school-locator .autocomplete-items div:hover {
	background-color: #e9e9e9;
}

sps-school-locator .autocomplete-items div.muted {
	color: #666;
}

sps-school-locator .autocomplete-active:not(.muted) {
	background-color: var(--primary, --primary-default) !important;
	color: var(--primary-contrast, #fff);
}

sps-school-locator .result .address {
	margin-top: 8px;
}

sps-school-locator .legend .legend-label {
	display: flex;
	padding: 3px 0;
}

sps-school-locator .legend .legend-label img {
	height: 16px;
	margin: 0 3px;
}

sps-school-locator .legend .legend-label span {
	margin-left: 5px;
}

sps-school-locator .legend input {
	margin: 0 1px 0 2px;
}

sps-school-locator .legend .legend-marker-layers {
	padding: 3px 5px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.2);
	display: none;
}

sps-school-locator .legend .legend-tile-layers {
	padding: 2px 5px;
}

sps-school-locator .program-schools .program-name {
	padding: 0.7rem 0.6rem 0;
	font-size: 0.9rem;
	color: var(--primary, --primary-default);
	border-top: 1px solid #ddd;
}

sps-school-locator .school {
	cursor: pointer;
	background-color: #fff;
	border-left: 0.5rem solid var(--primary, --primary-default);
	border-top: 1px solid #ddd;
	padding: 5px 0;
	display: flex;
}

sps-school-locator .school.highlighted {
	background-color: #f6f7f8;
	border-left-color: #ffd326;
}

sps-school-locator .school .grades {
	font-size: 1rem;
	color: var(--primary, --primary-default);
	line-height: 2.9rem;
	width: 3rem;
	height: 3rem;
	border-radius: 50%;
	border: 1px solid var(--primary, --primary-default);
	align-self: center;
	text-align: center;
	white-space: nowrap;
	overflow: hidden;
	margin: 0 0.8rem;
	flex: 0 0 3rem;
}

sps-school-locator .school .name-address {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	justify-content: center;
	padding-right: 0.8rem;
}

sps-school-locator .school .notice-icon {
	float: right;
}

sps-school-locator .name-address .school-name {
	color: var(--primary, --primary-default);
	font-weight: 600;
	font-size: 15px;
	margin-bottom: 1px;
}

sps-school-locator .school-details {
	display: none;
	padding-left: 5.1rem;
}

sps-school-locator .school-details.highlighted {
	display: block;
}

sps-school-locator .school-details .school-message {
	margin-block: 0;
	padding-bottom: 0.4rem;
}

sps-school-locator .school-details .school-message .notice {
	padding-right: 0.5rem;
}

sps-school-locator .school-attributes {
	padding-bottom: 0.5rem;
}

sps-school-locator .school-attributes:empty {
	margin: 0;
	padding: 0;
}

sps-school-locator .attribute,
sps-schools .attribute {
	padding-top: 0.1rem;
}

sps-school-locator .attribute-name,
sps-schools .attribute-name {
	font-size: 1em;
	display: inline-block;
	min-width: 100px;
	opacity: 0.7;
}

sps-school-locator .attribute-value,
sps-schools .attribute-value {
	color: var(--primary, --primary-default);
}

sps-school-locator .school-links,
sps-schools .school-links {
	display: inline-flex;
	gap: 1.6rem;
	margin-top: 2px;
}

sps-school-locator .school-links:empty,
sps-schools .school-links:empty {
	display: none;
}

sps-school-locator a.school-link,
sps-schools a.school-link {
	color: var(--primary, --primary-default);
	text-decoration: none;
	display: inline-flex;
	align-items: center;
}

sps-school-locator a.school-link:hover,
sps-schools a.school-link:hover {
	text-decoration: underline;
}

sps-school-locator a.school-link .link-icon,
sps-schools a.school-link .link-icon {
	fill: var(--primary, --primary-default);
	margin-right: 8px;
	margin-top: 1px;
}

sps-school-locator .school-notice-alert,
sps-schools .school-notice-alert {
	margin-top: 0.5rem;
	color: #ff4500;
}

sps-school-locator .caret-right,
sps-schools .caret-right {
	display: inline-block;
	transform: rotate(0deg);
	transform-origin: center;
	transition: transform 0.3s ease-out;
	margin-left: 0.5rem;
	stroke: #ff4500;
}

sps-school-locator .highlighted .caret-right,
sps-schools .highlighted .caret-right {
	transform: rotate(90deg);
}

sps-school-locator .adv-button,
sps-schools .adv-button {
	color: var(--primary, --primary-default);
	display: flex;
	align-items: center;
	padding: 0.5rem;
	gap: 0.5rem;
	border-radius: 3px;
	flex-basis: 0;
	text-decoration: none;
}

sps-school-locator .adv-button:hover,
sps-schools .adv-button:hover {
	background-color: rgba(0, 0, 0, 0.1);
}

sps-school-locator .adv-button .adv-label,
sps-schools .adv-button .adv-label {
	text-wrap: nowrap;
}

sps-school-locator .adv-icon:not(.visible),
sps-schools .adv-icon:not(.visible) {
	display: none;
}

sps-school-locator .school-filters,
sps-schools .school-filters {
	padding: 0.5rem;
	display: flex;
	gap: 0.5rem;
	align-items: center;
	justify-content: end;
	border: 0;
}

sps-school-locator .school-filters>div,
sps-schools .school-filters>div {
	display: flex;
	flex-wrap: wrap;
	gap: 0.5rem;
	align-items: center;
}

sps-school-locator .school-filters label,
sps-schools .school-filters label {
	color: var(--primary, --primary-default);
}

sps-school-locator .school-filters select,
sps-schools .school-filters select {
	padding: 5px 10px;
	vertical-align: middle;
}

sps-school-locator .school-filters .clear,
sps-schools .school-filters .clear {
	font-size: large;
	padding: 0 4px;
	line-height: 18px;
	vertical-align: middle;
}

sps-school-locator .multi-select,
sps-schools .multi-select {
	display: inline-block;
	position: relative;
	width: 200px;
	cursor: pointer;
	vertical-align: middle;
}

sps-school-locator .multi-select .selection,
sps-schools .multi-select .selection {
	padding: 2px 4px;
	border: 1px solid gray;
	border-radius: 3px;
	display: flex;
}

sps-school-locator .multi-select .selection .selection-label,
sps-schools .multi-select .selection .selection-label {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	flex-grow: 1;
}

sps-school-locator .multi-select .options,
sps-schools .multi-select .options {
	position: absolute;
	top: 100%;
	left: 0;
	right: 0;
	z-index: 12;
	border: 1px solid gray;
	border-radius: 3px;
	background-color: #fff;
}

sps-school-locator .multi-select .options:not(.expanded),
sps-schools .multi-select .options:not(.expanded) {
	display: none;
}

sps-school-locator .multi-select .options .option,
sps-schools .multi-select .options .option {
	padding: 2px 4px;
}

sps-school-locator .multi-select .options .option+.option,
sps-schools .multi-select .options .option+.option {
	margin-top: 1px;
}

sps-school-locator .multi-select .options .option .icon-checked,
sps-school-locator .multi-select .options .option .icon-unchecked,
sps-schools .multi-select .options .option .icon-checked,
sps-schools .multi-select .options .option .icon-unchecked {
	margin-right: 0.5rem;
}

sps-school-locator .multi-select .options .option .icon-checked,
sps-schools .multi-select .options .option .icon-checked {
	display: none;
}

sps-school-locator .multi-select .option.selected,
sps-schools .multi-select .option.selected {
	background-color: var(--primary);
	color: #fff;
	fill: #fff;
}

sps-school-locator .multi-select .option.selected .icon-checked,
sps-schools .multi-select .option.selected .icon-checked {
	display: inline-block;
}

sps-school-locator .multi-select .option.selected .icon-unchecked,
sps-schools .multi-select .option.selected .icon-unchecked {
	display: none;
}

sps-school-locator .multi-select .option:hover,
sps-schools .multi-select .option:hover {
	background-color: #555;
	color: #fff;
	fill: #fff;
}

sps-school-locator .school-details,
sps-schools .school-details {
	display: none;
	margin-left: 3rem;
}

sps-school-locator .school-details.expanded,
sps-schools .school-details.expanded {
	display: block;
}

sps-school-locator .school-details>*,
sps-schools .school-details>* {
	font-size: 0.9em;
	margin-top: 0.4rem;
}

sps-school-locator .school-attributes,
sps-schools .school-attributes {
	margin-top: 0.4rem;
}

sps-school-locator .school-attributes:empty,
sps-schools .school-attributes:empty {
	margin: 0;
}

sps-schools div.all-schools {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

sps-schools table.all-schools {
	border-collapse: collapse;
	vertical-align: top;
	border-spacing: 0;
	width: 100%;
}

sps-schools table.all-schools thead tr {
	color: var(--primary, --primary-default);
	background-color: #fff !important;
	font-weight: 700;
	font-size: 1.2em;
	text-align: left;
}

sps-schools table.all-schools tr:nth-child(odd) {
	background: #f9f9f9;
}

sps-schools table.all-schools tbody tr:hover {
	background: #f2f2f2;
}

sps-schools table.all-schools .school-row {
	cursor: pointer;
}

sps-schools table.all-schools td,
sps-schools table.all-schools th {
	vertical-align: top;
	padding: 8px 15px;
	border: 1px solid #ddd;
}

sps-schools table.all-schools .municipality {
	display: none;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

sps-schools .school-name {
	display: flex;
	align-items: center;
	gap: 0.5rem;
}

sps-schools.collapsed table.all-schools {
	display: none;
}

@media (min-width: 1200px) {

	sps-school-locator .autocomplete,
	sps-school-locator .map,
	sps-school-locator .result,
	sps-school-locator .school-filters,
	sps-school-locator .search,
	sps-schools .all-schools {
		max-width: 1200px;
	}

	sps-school-locator .search-row {
		display: flex;
		gap: 1rem;
	}

	sps-school-locator .year-adv {
		margin-top: 0;
	}

	sps-school-locator .result {
		flex-direction: row;
	}

	sps-school-locator .map {
		height: 600px;
	}

	sps-school-locator .schools {
		flex: 0 0 400px;
	}

	sps-school-locator .map {
		flex: 1 0 0px;
	}
}

@media (min-width: 400px) {
	sps-schools table.all-schools .municipality {
		display: table-cell;
	}
}

sps-school-locator .autocomplete .magnifying {
	height: 3rem;
}

sps-school-locator .autocomplete .clear-input {
	height: 3rem;
}

sps-school-locator .program-schools .program-name {
	font-size: 0.9em;
}

sps-school-locator .school-filters select {
	width: auto;
	padding: 3px;
	border-radius: 3px;
	border: 1px solid gray;
	margin-bottom: 0;
	height: auto;
	font-size: 1.5rem;
}

sps-school-locator .school-filters .clear {
	margin: 0;
}

sps-school-locator .legend .legend-label span {
	font-size: 1rem;
}

.leaflet-container.leaflet-touch-drag.leaflet-touch-zoom {
	font-size: 11pt;
}

sps-school-locator .school-filters select,
sps-schools .school-filters select {
	font-size: 11pt;
}